## org.apache.poi.hwpf.model
Class OldCHPBinTable

    java.lang.Object
      org.apache.poi.hwpf.model.CHPBinTable
          org.apache.poi.hwpf.model.OldCHPBinTable

    @Internal
    public final class OldCHPBinTable

extends CHPBinTable

This class holds all of the character formatting properties from Old (Word 6 / Word 95) documents. Unlike with Word 97+, it all gets held in the same stream. In common with the rest of the old support, it is read only

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.CHPBinTable
`_textRuns`

Constructor Summary
`OldCHPBinTable(byte[] documentStream, int offset, int size, int fcMin, TextPieceTable tpt)` Constructor used to read an old-style binTable in from a Word document.

Method Summary

Methods inherited from class org.apache.poi.hwpf.model.CHPBinTable
`adjustForDelete, adjustForInsert, getTextRuns, insert, rebuild, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldCHPBinTable

    public OldCHPBinTable(byte[] documentStream,
                          int offset,
                          int size,
                          int fcMin,
                          TextPieceTable tpt)

  Constructor used to read an old-style binTable in from a Word document.

  Parameters:
    `documentStream` -
    `offset` -
    `size` -
    `fcMin` -

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.